/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts

 ****************************************************************************/

#ifndef BallCollectionSM_H
#define BallCollectionSM_H


// define timers (#defines in header file)
#define BALL_COLLECTION_TIMER       4
#define BALL_RANDOM_TIMER           5

// define timeout times (needs to be set according to testing)

#define ROTATION_TO_CENTER_1ST    350     
#define DRIVE_TO_CENTER           900     
#define DEG90_ROTATION            500     
#define CENTER_TO_WALL            2000    
#define DRIVE_ON_RAD1             750     
#define COLLECT_WALL              2500
#define BACKUP_TO_GRAB_WALL       2000
#define BACKUP_TO_GET_WALL        100
#define ROTATE                    375
#define BACKUP                    125
#define DRIVING_ON_RADIUS         15000

// State definitions for use with the query function
typedef enum { RotatingToCenter, DrivingToCenter, RotatingCWToForward1, DrivingForwardToWall, 
               RotatingCWOnRad1, DrivingOnRad1, Pushing, PushingBackUp, CollectingRotatingWall, RandomBallCollecting, PushingRotation} BallCollectionState ;


// Public Function Prototypes

ES_Event RunBallCollectionSM( ES_Event CurrentEvent );
void StartBallCollectionSM ( ES_Event CurrentEvent );
BallCollectionState QueryBallCollectionSM ( void );


#endif /*MW_Timer_H */

