/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts

 ****************************************************************************/

#ifndef BallDumpSM_H
#define BallDumpSM_H

#define BALL_DUMP_TIMER       4
// define timeout times (needs to be set according to testing)
#define DUMP_BALLS               2000  
#define LEFT                     0
#define RIGHT                    1
#define DUMP_CHECK               625
#define DUMP_ADJUST              200
#define BEACON_ROTATION          20
#define DUMP_BACKUP              375
#define ROTATE_TO_PERP_WITH_WALL 1000
#define DUMP_SWEEP               5000


// State definitions for use with the query function
typedef enum { DrivingOnRadToDump, OppositeBeaconSearching, ReverseDriving, DumpSweep, DumpBackUp, BallDumping, AlignTape, BeaconCheck, FindingBinToDump, FindingTape, BeaconAdjust, BackUpChecking, DrivingForwardToDump, Repositioning, BackUpToCenter} BallDumpState ;


// Public Function Prototypes

ES_Event RunBallDumpSM( ES_Event CurrentEvent );
void StartBallDumpSM ( ES_Event CurrentEvent );
BallDumpState QueryBallDumpSM ( void );
unsigned char QueryDefenseBin( void );
void OurAvailableBins(void);


#endif /*MW_Timer_H */

