/*******************************************
Header file for BeaconSensing.h
********************************************/

#ifndef BeaconSensing_H
#define BeaconSensing_H



#define MAX_PERIOD_20     3800
#define MIN_PERIOD_20      3700

#define MAX_PERIOD_18      3425
#define MIN_PERIOD_18     3325

#define MAX_PERIOD_16      3050
#define MIN_PERIOD_16     2950

#define MAX_PERIOD_14      2675
#define MIN_PERIOD_14     2575


#include "ME218_E128.h"
#include "s12evec.h"

#include <hidef.h>         /* common defines and macros */ 
#include <mc9s12e128.h>    /* derivative information */ 
#include <S12e128bits.h>   /* bit definitions  */ 
#include <Bin_Const.h>     /* macros to allow specifying binary constants */ 
#include <termio.h>        /* to get prototype for kbhit() */ 
 

void InitBeaconDetectionTimer(void);
unsigned int QueryBeaconPeriod(void);

#endif /* BeaconSensing_H */
