/****************************************************************************
 Header file for Hierarchical Sate Machines AKA StateCharts (RobotMotionSM)

 ****************************************************************************/

#ifndef RobotMotionSM_H
#define RobotMotionSM_H

// Public Function Prototypes
#define GAME_ON_TIMER            7
#define ROBOT_MOTION_TIMER       3



#define TOTAL_BALL_COLLECTION_TIME          45000   // 1 min 35 sec
#define GAME_TIME                           60000 // 2 mins
#define REDTEAM   0
#define BLUETEAM  1
                                            

// State definitions for use with the query function
typedef enum { WaitingState, BallCollectingState, BallDumpingState, DefendingState} RobotMotionState ;

boolean InitRobotMotionSM ( uint8_t Priority );
boolean PostRobotMotionSM( ES_Event ThisEvent );
ES_Event RunRobotMotionSM( ES_Event CurrentEvent );
void StartRobotMotionSM ( ES_Event CurrentEvent );
RobotMotionState QueryRobotMotionSM ( void );
unsigned char QueryTeam( void );


#endif /*MW_MasterMachine_H */

