/****************************************************************************
 
  Header file for template Flat Sate Machine 
  based on the Gen2 Events and Services Framework

 ****************************************************************************/

#ifndef SPIFSM_H
#define SPIFSM_H

// Event Definitions
#include "ES_Configure.h"
#include "ES_Types.h"


#define FULL_READ_TIMER          0
#define SENDRECEIVE_TIME         50
#define RECEIVE_DELAY_TIMER      1
#define BYTE_DELAY_TIMER         2
#define _2MS_                    1
#define AR_TOTAL_BALLS_ONE_SIDE  0
#define AR_BIN_1                 1
#define AR_BIN_2                 2
#define AR_BIN_3                 3
#define AR_BIN_4                 4
#define AR_WALL_ANGLE            5

#define ANGLE_A 31                     //degrees 
#define ANGLE_B 54                     //degrees
#define ANGLE_C 121                    //degrees
#define ANGLE_D 151                    //degrees
#define ANGLE_E 215                    //degrees
#define ANGLE_F 240                    //degrees
#define ANGLE_G 303                    //degrees
#define ANGLE_H 329                    //degrees



#define MAX_PERIOD_20     3800
#define MIN_PERIOD_20      3700

#define MAX_PERIOD_18      3425
#define MIN_PERIOD_18     3325

#define MAX_PERIOD_16      3050
#define MIN_PERIOD_16     2950

#define MAX_PERIOD_14      2675
#define MIN_PERIOD_14     2575


// typedefs for the states
// State definitions for use with the query function
typedef enum { InitSPIState, SendReceive} SPIState_t ;


// Public Function Prototypes

boolean InitSPIFSM ( uint8_t Priority );
boolean PostSPIFSM( ES_Event ThisEvent );
ES_Event RunSPIFSM( ES_Event ThisEvent );
SPIState_t QueryArmadilloSM ( void );

void InitSPI(void);
void InitBeaconDetectionTimer(void);
unsigned int QueryBeaconPeriod(void);
unsigned char QueryStatus(unsigned char DesiredStatus);




#endif /* FSMArmadillo_H */

