#include <stdio.h>
#include "ME218_E128.h"
#include "ES_Configure.h"
#include "ES_Framework.h"
#include "ES_Timers.h"
#include "DrivePWM.h"
#include "SPIFSM.h"
#include "ADS12.h"

void main( void) {

ES_Return_t ErrorType;

puts("Program Start \n\r");
// Your hardware initialization function calls go here
/* PIN assignments:


*/
DDRU = 0xFB;
DDRP = 0xF5;       
DDRS = 0xFF;
DDRT = 0xBE;
ADS12_Init("IIIIIIII");

PTS = 0x00;

DrivePWM_Init();
InitSPI();
InitBeaconDetectionTimer();

// Start Fan
PTT |= BIT1HI;
//PTT &= BIT1LO;     // turn the fan off

//DriveRobot(FORWARD, 60, 90);



// now initialize the Events and Services Framework and start it running
ErrorType = ES_Initialize(ES_Timer_RATE_2MS);
if ( ErrorType == Success ) {

  ErrorType = ES_Run();

}
//if we got to here, there was an error
switch (ErrorType){
  case FailedPointer:
    puts("Failed on NULL pointer");
    break;
  case FailedInit:
    puts("Failed Initialization");
    break;
 default:
    printf("Error type: %d \n\r", ErrorType);
    break;
}
for(;;)
  ;   
         
};    

